Upstream information

CVE-2022-32149 at MITRE

Description

An attacker may cause a denial of service by crafting an Accept-Language header which ParseAcceptLanguage will take significant time to parse.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 7.5 7.5
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H
Attack Vector Network Network
Attack Complexity Low Low
Privileges Required None None
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact None None
Integrity Impact None None
Availability Impact High High
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1204501 [NEW]

No SUSE Security Announcements cross referenced.

List of released packages

Product(s) Fixed package version(s) References
openSUSE Tumbleweed
  • starboard >= 0.15.11-1.1
Patchnames:
openSUSE Tumbleweed GA starboard-0.15.11-1.1


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SUSE Enterprise Storage 7 cni Not affected
SUSE Enterprise Storage 7 terraform Not affected
SUSE Enterprise Storage 7.1 cni Not affected
SUSE Enterprise Storage 7.1 go1.18 Not affected
SUSE Enterprise Storage 7.1 go1.19 Not affected
SUSE Enterprise Storage 7.1 terraform Not affected
SUSE Linux Enterprise Desktop 15 SP4 go1.18 Not affected
SUSE Linux Enterprise Desktop 15 SP4 go1.19 Not affected
SUSE Linux Enterprise Desktop 15 SP4 rekor Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4 cni Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4 go1.18 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4 go1.19 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4 rekor Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4 terraform Not affected
SUSE Linux Enterprise Micro 5.1 cni Not affected
SUSE Linux Enterprise Micro 5.2 cni Not affected
SUSE Linux Enterprise Micro 5.3 cni Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP4 rekor Not affected
SUSE Linux Enterprise Module for Containers 15 SP4 cni Not affected
SUSE Linux Enterprise Module for Development Tools 15 SP4 go1.18 Not affected
SUSE Linux Enterprise Module for Development Tools 15 SP4 go1.19 Not affected
SUSE Linux Enterprise Module for Public Cloud 15 SP4 terraform Not affected
SUSE Linux Enterprise Real Time 15 SP3 go1.18 Not affected
SUSE Linux Enterprise Real Time 15 SP3 go1.19 Not affected
SUSE Linux Enterprise Server 15 SP4 cni Not affected
SUSE Linux Enterprise Server 15 SP4 go1.18 Not affected
SUSE Linux Enterprise Server 15 SP4 go1.19 Not affected
SUSE Linux Enterprise Server 15 SP4 rekor Not affected
SUSE Linux Enterprise Server 15 SP4 terraform Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP4 cni Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP4 go1.18 Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP4 go1.19 Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP4 rekor Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP4 terraform Not affected
SUSE Manager Client Tools Beta for SLE 12 grafana Not affected
SUSE Manager Client Tools Beta for SLE 15 grafana Not affected
SUSE Manager Client Tools for SLE 12 grafana Not affected
SUSE Manager Client Tools for SLE 15 grafana Not affected
SUSE Manager Proxy 4.2 cni Not affected
SUSE Manager Proxy 4.2 go1.18 Not affected
SUSE Manager Proxy 4.2 go1.19 Not affected
SUSE Manager Proxy 4.2 terraform Not affected
SUSE Manager Proxy 4.3 cni Not affected
SUSE Manager Proxy 4.3 go1.18 Not affected
SUSE Manager Proxy 4.3 go1.19 Not affected
SUSE Manager Proxy 4.3 rekor Not affected
SUSE Manager Proxy 4.3 terraform Not affected
SUSE Manager Retail Branch Server 4.2 cni Not affected
SUSE Manager Retail Branch Server 4.2 go1.18 Not affected
SUSE Manager Retail Branch Server 4.2 go1.19 Not affected
SUSE Manager Retail Branch Server 4.2 terraform Not affected
SUSE Manager Retail Branch Server 4.3 cni Not affected
SUSE Manager Retail Branch Server 4.3 go1.18 Not affected
SUSE Manager Retail Branch Server 4.3 go1.19 Not affected
SUSE Manager Retail Branch Server 4.3 rekor Not affected
SUSE Manager Retail Branch Server 4.3 terraform Not affected
SUSE Manager Server 4.2 cni Not affected
SUSE Manager Server 4.2 go1.18 Not affected
SUSE Manager Server 4.2 go1.19 Not affected
SUSE Manager Server 4.2 terraform Not affected
SUSE Manager Server 4.3 cni Not affected
SUSE Manager Server 4.3 go1.18 Not affected
SUSE Manager Server 4.3 go1.19 Not affected
SUSE Manager Server 4.3 rekor Not affected
SUSE Manager Server 4.3 terraform Not affected
SUSE Manager Tools 12 grafana Not affected
SUSE Manager Tools 15 grafana Not affected
Products under Long Term Service Pack support and receiving important and critical security fixes.
SUSE Linux Enterprise High Performance Computing 15 cni Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1 cni Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1 terraform Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS cni Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS cni Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2 cni Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2 terraform Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2-ESPOS cni Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS cni Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3 cni Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3 go1.18 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3 go1.19 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3 terraform Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS cni Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS go1.18 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS go1.19 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS cni Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS go1.18 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS go1.19 Not affected
SUSE Linux Enterprise Module for Containers 15 SP1 cni Not affected
SUSE Linux Enterprise Module for Containers 15 SP2 cni Not affected
SUSE Linux Enterprise Module for Containers 15 SP3 cni Not affected
SUSE Linux Enterprise Module for Development Tools 15 SP3 go1.18 Not affected
SUSE Linux Enterprise Module for Development Tools 15 SP3 go1.19 Not affected
SUSE Linux Enterprise Server 15 SP1 cni Not affected
SUSE Linux Enterprise Server 15 SP1 terraform Not affected
SUSE Linux Enterprise Server 15 SP1-LTSS cni Not affected
SUSE Linux Enterprise Server 15 SP2 cni Not affected
SUSE Linux Enterprise Server 15 SP2 terraform Not affected
SUSE Linux Enterprise Server 15 SP2-LTSS cni Not affected
SUSE Linux Enterprise Server 15 SP3 cni Not affected
SUSE Linux Enterprise Server 15 SP3 go1.18 Not affected
SUSE Linux Enterprise Server 15 SP3 go1.19 Not affected
SUSE Linux Enterprise Server 15 SP3 terraform Not affected
SUSE Linux Enterprise Server 15 SP3-LTSS cni Not affected
SUSE Linux Enterprise Server 15 SP3-LTSS go1.18 Not affected
SUSE Linux Enterprise Server 15 SP3-LTSS go1.19 Not affected
SUSE Linux Enterprise Server Business Critical Linux 15 SP1 cni Not affected
SUSE Linux Enterprise Server Business Critical Linux 15 SP2 cni Not affected
SUSE Linux Enterprise Server for SAP Applications 15 cni Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP1 cni Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP1 terraform Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP2 cni Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP2 terraform Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP3 cni Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP3 go1.18 Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP3 go1.19 Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP3 terraform Not affected
Products past their end of life and not receiving proactive updates anymore.
HPE Helion OpenStack 8 grafana Not affected
SUSE CaaS Platform 4.0 cni Not affected
SUSE CaaS Platform 4.0 cri-o Not affected
SUSE CaaS Platform 4.0 terraform Not affected
SUSE Enterprise Storage 6 cni Not affected
SUSE Enterprise Storage 6 grafana Not affected
SUSE Enterprise Storage 6 terraform Not affected
SUSE Linux Enterprise Desktop 15 SP3 go1.18 Not affected
SUSE Linux Enterprise Desktop 15 SP3 go1.19 Not affected
SUSE Linux Enterprise Micro 5.0 cni Not affected
SUSE Linux Enterprise Module for Public Cloud 15 cni Not affected
SUSE Linux Enterprise Module for Public Cloud 15 SP1 cni Not affected
SUSE Linux Enterprise Module for Public Cloud 15 SP1 terraform Not affected
SUSE Linux Enterprise Module for Public Cloud 15 SP2 cni Not affected
SUSE Linux Enterprise Module for Public Cloud 15 SP2 terraform Not affected
SUSE Linux Enterprise Module for Public Cloud 15 SP3 terraform Not affected
SUSE Linux Enterprise Server 15 cni Not affected
SUSE Linux Enterprise Server 15 SP1-BCL cni Not affected
SUSE Linux Enterprise Server 15 SP2-BCL cni Not affected
SUSE Linux Enterprise Server 15 SP3-BCL cni Not affected
SUSE Linux Enterprise Server 15 SP3-BCL go1.18 Not affected
SUSE Linux Enterprise Server 15 SP3-BCL go1.19 Not affected
SUSE Manager Proxy 4.0 cni Not affected
SUSE Manager Proxy 4.0 terraform Not affected
SUSE Manager Proxy 4.1 cni Not affected
SUSE Manager Proxy 4.1 terraform Not affected
SUSE Manager Retail Branch Server 4.0 cni Not affected
SUSE Manager Retail Branch Server 4.0 terraform Not affected
SUSE Manager Retail Branch Server 4.1 cni Not affected
SUSE Manager Retail Branch Server 4.1 terraform Not affected
SUSE Manager Server 4.0 cni Not affected
SUSE Manager Server 4.0 terraform Not affected
SUSE Manager Server 4.1 cni Not affected
SUSE Manager Server 4.1 terraform Not affected
SUSE OpenStack Cloud 8 grafana Not affected
SUSE OpenStack Cloud 9 grafana Not affected
SUSE OpenStack Cloud Crowbar 8 grafana Not affected
SUSE OpenStack Cloud Crowbar 9 grafana Not affected
Container Status
bci/golang
bci/golang:1.18
go1.18Not affected
bci/golang go1.19Not affected


SUSE Timeline for this CVE

CVE page created: Wed Oct 12 10:01:06 2022
CVE page last modified: Fri Jan 20 16:37:10 2023